diff --git a/doc/src/sgml/rules.sgml b/doc/src/sgml/rules.sgml
index ffe208c..de28949 100644
--- a/doc/src/sgml/rules.sgml
+++ b/doc/src/sgml/rules.sgml
@@ -1851,9 +1850,9 @@ GRANT SELECT ON phone_number TO secretary;
  <secondary sortas="Regeln">compared with rules</secondary>
 </indexterm>
 
-<Para>
+<para>
     Many things that can be done using triggers can also be
-    implemented using the <ProductName>PostgreSQL</ProductName>
+    implemented using the <productname>PostgreSQL</productname>
     rule system.  One of the things that cannot be implemented by
     rules are some kinds of constraints, especially foreign keys. It is possible
     to place a qualified rule that rewrites a command to <literal>NOTHING</>
@@ -1862,9 +1861,9 @@ GRANT SELECT ON phone_number TO secretary;
     not a good idea. If checks for valid values are required,
     and in the case of an invalid value an error message should
     be generated, it must be done by a trigger.
-</Para>
+</para>
 
-<Para>
+<para>
     On the other hand, a trigger that is fired on
     <command>INSERT</command> on a view can do the same as a rule: put
     the data somewhere else and suppress the insert in the view. But
@@ -1872,9 +1871,9 @@ GRANT SELECT ON phone_number TO secretary;
     <command>DELETE</command>, because there is no real data in the
     view relation that could be scanned, and thus the trigger would
     never get called. Only a rule will help.
-</Para>
+</para>
 
-<Para>
+<para>
     For the things that can be implemented by both, which is best
     depends on the usage of the database.
     A trigger is fired for any affected row once. A rule manipulates
@@ -1884,13 +1883,13 @@ GRANT SELECT ON phone_number TO secretary;
     called for every single row and must execute its operations
     many times.  However, the trigger approach is conceptually far
     simpler than the rule approach, and is easier for novices to get right.
-</Para>
+</para>
 
-<Para>
+<para>
     Here we show an example of how the choice of rules versus triggers
     plays out in one situation.  There are two tables:
 
-<ProgramListing>
+<programlisting>
 CREATE TABLE computer (
     hostname        text,    -- indexed
     manufacturer    text     -- indexed
@@ -1900,51 +1899,51 @@ CREATE TABLE software (
     software        text,    -- indexed
     hostname        text     -- indexed
 );
-</ProgramListing>
+</programlisting>
 
     Both tables have many thousands of rows and the indexes on
     <structfield>hostname</> are unique.  The rule or trigger should
     implement a constraint that deletes rows from <literal>software</>
     that reference a deleted computer.  The trigger would use this command:
 
-<ProgramListing>
+<programlisting>
 DELETE FROM software WHERE hostname = $1;
-</ProgramListing>
+</programlisting>
 
     Since the trigger is called for each individual row deleted from
     <literal>computer</>, it can prepare and save the plan for this
     command and pass the <structfield>hostname</> value in the
     parameter.  The rule would be written as
 
-<ProgramListing>
+<programlisting>
 CREATE RULE computer_del AS ON DELETE TO computer
     DO DELETE FROM software WHERE hostname = OLD.hostname;
-</ProgramListing>
+</programlisting>
    </para>
 
    <para>
     Now we look at different types of deletes. In the case of a 
     
-<ProgramListing>
+<programlisting>
 DELETE FROM computer WHERE hostname = 'mypc.local.net';
-</ProgramListing>
+</programlisting>
 
     the table <literal>computer</> is scanned by index (fast), and the
     command issued by the trigger would also use an index scan (also fast).
     The extra command from the rule would be
 
-<ProgramListing>
+<programlisting>
 DELETE FROM software WHERE computer.hostname = 'mypc.local.net'
                        AND software.hostname = computer.hostname;
-</ProgramListing>
+</programlisting>
 
     Since there are appropriate indexes setup, the planner
     will create a plan of
 
 <literallayout class="monospaced">
 Nestloop
-  ->  Index Scan using comp_hostidx on computer
-  ->  Index Scan using soft_hostidx on software
+  -&gt;  Index Scan using comp_hostidx on computer
+  -&gt;  Index Scan using soft_hostidx on software
 </literallayout>
 
     So there would be not that much difference in speed between
@@ -1957,40 +1956,40 @@ Nestloop
     <literal>old</>. There are two possible commands to do that. One
     is
 
-<ProgramListing>
-DELETE FROM computer WHERE hostname >= 'old'
-                       AND hostname <  'ole'
-</ProgramListing>
+<programlisting>
+DELETE FROM computer WHERE hostname &gt;= 'old'
+                       AND hostname &lt;  'ole'
+</programlisting>
 
     The command added by the rule will be
 
-<ProgramListing>
-DELETE FROM software WHERE computer.hostname >= 'old' AND computer.hostname < 'ole'
+<programlisting>
+DELETE FROM software WHERE computer.hostname &gt;= 'old' AND computer.hostname &lt; 'ole'
                        AND software.hostname = computer.hostname;
-</ProgramListing>
+</programlisting>
 
     with the plan
 
 <literallayout class="monospaced">
 Hash Join
-  ->  Seq Scan on software
-  ->  Hash
-    ->  Index Scan using comp_hostidx on computer
+  -&gt;  Seq Scan on software
+  -&gt;  Hash
+    -&gt;  Index Scan using comp_hostidx on computer
 </literallayout>
 
     The other possible command is
 
-<ProgramListing>
+<programlisting>
 DELETE FROM computer WHERE hostname ~ '^old';
-</ProgramListing>
+</programlisting>
 
     which results in the following executing plan for the command
     added by the rule:
 
 <literallayout class="monospaced">
 Nestloop
-  ->  Index Scan using comp_hostidx on computer
-  ->  Index Scan using soft_hostidx on software
+  -&gt;  Index Scan using comp_hostidx on computer
+  -&gt;  Index Scan using soft_hostidx on software
 </literallayout>
 
     This shows, that the planner does not realize that the
@@ -2007,44 +2006,44 @@ Nestloop
     the table <literal>software</> whether the rule will still be faster in the
     sequential scan situation. 2000 command executions from the trigger over the SPI
     manager take some time, even if all the index blocks will soon be in the cache.
-</Para>
+</para>
 
-<Para>
+<para>
     The last command we look at is
 
-<ProgramListing>
+<programlisting>
 DELETE FROM computer WHERE manufacurer = 'bim';
-</ProgramListing>
+</programlisting>
 
     Again this could result in many rows to be deleted from
     <literal>computer</>. So the trigger will again run many commands
     through the executor.  The command generated by the rule will be
 
-<ProgramListing>
+<programlisting>
 DELETE FROM software WHERE computer.manufacurer = 'bim'
                        AND software.hostname = computer.hostname;
-</ProgramListing>
+</programlisting>
 
     The plan for that command will again be the nested loop over two
     index scans, only using a different index on <literal>computer</>:
 
-<ProgramListing>
+<programlisting>
 Nestloop
-  ->  Index Scan using comp_manufidx on computer
-  ->  Index Scan using soft_hostidx on software
-</ProgramListing>
+  -&gt;  Index Scan using comp_manufidx on computer
+  -&gt;  Index Scan using soft_hostidx on software
+</programlisting>
 
     In any of these cases, the extra commands from the rule system
     will be more or less independent from the number of affected rows
     in a command.
-</Para>
+</para>
 
 <![IGNORE[
 <!-- What's happening with this?  If it doesn't come back, remove this section. -->
-<Para>
+<para>
     Another situation is cases on <command>UPDATE</command> where it depends on the
     change of an attribute if an action should be performed or
-    not. In <ProductName>PostgreSQL</ProductName> version 6.4, the
+    not. In <productname>PostgreSQL</productname> version 6.4, the
     attribute specification for rule events is disabled (it will have
     its comeback latest in 6.5, maybe earlier 
     - stay tuned). So for now the only way to
@@ -2063,17 +2062,17 @@ Nestloop
     target list and will suppress the additional query completely
     if the attribute isn't touched. So the rule, qualified or not,
     will only do its scans if there ever could be something to do.
-</Para>
+</para>
 ]]>
 
-<Para>
+<para>
     The summary is, rules will only be significantly slower than
     triggers if their actions result in large and badly qualified
     joins, a situation where the planner fails.
-</Para>
-</Sect1>
+</para>
+</sect1>
 
-</Chapter>
+</chapter>
 
 <!-- Keep this comment at the end of the file
 Local variables:
diff --git a/doc/src/sgml/sql.sgml b/doc/src/sgml/sql.sgml
index d8dea57..6994053 100644
--- a/doc/src/sgml/sql.sgml
+++ b/doc/src/sgml/sql.sgml
@@ -891,7 +891,7 @@ SELECT [ ALL | DISTINCT [ ON ( <replaceable class="PARAMETER">expression</replac
 
 	<programlisting>
 SELECT * FROM PART
-    WHERE PRICE > 10;
+    WHERE PRICE &gt; 10;
 	</programlisting>
 
 	and get the table:
@@ -913,7 +913,7 @@ SELECT * FROM PART
 	<programlisting>
 SELECT PNAME, PRICE 
     FROM PART
-    WHERE PRICE > 10;
+    WHERE PRICE &gt; 10;
 	</programlisting>
 
 	In this case the result is:
@@ -939,7 +939,7 @@ SELECT PNAME, PRICE
 SELECT PNAME, PRICE 
     FROM PART
     WHERE PNAME = 'Bolt' AND
-         (PRICE = 0 OR PRICE <= 15);
+         (PRICE = 0 OR PRICE &lt;= 15);
 	</programlisting>
 
 	will lead to the result:
@@ -959,7 +959,7 @@ SELECT PNAME, PRICE
 	<programlisting>
 SELECT PNAME, PRICE * 2 AS DOUBLE
     FROM PART
-    WHERE PRICE * 2 < 50;
+    WHERE PRICE * 2 &lt; 50;
 	</programlisting>
 
 	and we get:
@@ -1450,7 +1450,7 @@ SELECT S.SNO, S.SNAME, COUNT(SE.PNO)
     FROM SUPPLIER S, SELLS SE
     WHERE S.SNO = SE.SNO
     GROUP BY S.SNO, S.SNAME
-    HAVING COUNT(SE.PNO) > 1;
+    HAVING COUNT(SE.PNO) &gt; 1;
 	</programlisting>
 
 	and get:
@@ -1487,7 +1487,7 @@ SELECT S.SNO, S.SNAME, COUNT(SE.PNO)
 	<programlisting>
 SELECT * 
     FROM PART 
-    WHERE PRICE > (SELECT PRICE FROM PART
+    WHERE PRICE &gt; (SELECT PRICE FROM PART
                    WHERE PNAME='Screw');
 	</programlisting>
        </para>
@@ -1617,11 +1617,11 @@ gives the result:
 	<programlisting>
 SELECT S.SNO, S.SNAME, S.CITY
     FROM SUPPLIER S
-    WHERE S.SNO > 1
+    WHERE S.SNO &gt; 1
 INTERSECT
     SELECT S.SNO, S.SNAME, S.CITY
     FROM SUPPLIER S
-    WHERE S.SNO < 3;
+    WHERE S.SNO &lt; 3;
 	</programlisting>
 
 	gives the result:
@@ -1641,11 +1641,11 @@ INTERSECT
 	<programlisting>
 SELECT S.SNO, S.SNAME, S.CITY
     FROM SUPPLIER S
-    WHERE S.SNO > 1
+    WHERE S.SNO &gt; 1
 EXCEPT
     SELECT S.SNO, S.SNAME, S.CITY
     FROM SUPPLIER S
-    WHERE S.SNO > 3;
+    WHERE S.SNO &gt; 3;
 	</programlisting>
 
 	gives the result:
diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index 133092b..d6d406d 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -271,10 +271,10 @@ CALLED_AS_TRIGGER(fcinfo)
 </programlisting>
     which expands to
 <programlisting>
-((fcinfo)->context != NULL && IsA((fcinfo)->context, TriggerData))
+((fcinfo)-&gt;context != NULL && IsA((fcinfo)-&gt;context, TriggerData))
 </programlisting>
     If this returns true, then it is safe to cast
-    <literal>fcinfo->context</> to type <literal>TriggerData
+    <literal>fcinfo-&gt;context</> to type <literal>TriggerData
     *</literal> and make use of the pointed-to
     <structname>TriggerData</> structure.  The function must
     <emphasis>not</emphasis> alter the <structname>TriggerData</>
@@ -393,8 +393,8 @@ typedef struct TriggerData
         A pointer to a structure describing the relation that the trigger fired for.
         Look at <filename>utils/rel.h</> for details about
         this structure.  The most interesting things are
-        <literal>tg_relation->rd_att</> (descriptor of the relation
-        tuples) and <literal>tg_relation->rd_rel->relname</>
+        <literal>tg_relation-&gt;rd_att</> (descriptor of the relation
+        tuples) and <literal>tg_relation-&gt;rd_rel-&gt;relname</>
         (relation name; the type is not <type>char*</> but
         <type>NameData</>; use
         <literal>SPI_getrelname(tg_relation)</> to get a <type>char*</> if you
@@ -541,7 +541,7 @@ PG_FUNCTION_INFO_V1(trigf);
 Datum
 trigf(PG_FUNCTION_ARGS)
 {
-    TriggerData *trigdata = (TriggerData *) fcinfo->context;
+    TriggerData *trigdata = (TriggerData *) fcinfo-&gt;context;
     TupleDesc   tupdesc;
     HeapTuple   rettuple;
     char       *when;
@@ -554,36 +554,36 @@ trigf(PG_FUNCTION_ARGS)
         elog(ERROR, "trigf: not called by trigger manager");
 
     /* tuple to return to executor */
-    if (TRIGGER_FIRED_BY_UPDATE(trigdata->tg_event))
-        rettuple = trigdata->tg_newtuple;
+    if (TRIGGER_FIRED_BY_UPDATE(trigdata-&gt;tg_event))
+        rettuple = trigdata-&gt;tg_newtuple;
     else
-        rettuple = trigdata->tg_trigtuple;
+        rettuple = trigdata-&gt;tg_trigtuple;
 
     /* check for null values */
-    if (!TRIGGER_FIRED_BY_DELETE(trigdata->tg_event)
-        && TRIGGER_FIRED_BEFORE(trigdata->tg_event))
+    if (!TRIGGER_FIRED_BY_DELETE(trigdata-&gt;tg_event)
+        && TRIGGER_FIRED_BEFORE(trigdata-&gt;tg_event))
         checknull = true;
 
-    if (TRIGGER_FIRED_BEFORE(trigdata->tg_event))
+    if (TRIGGER_FIRED_BEFORE(trigdata-&gt;tg_event))
         when = "before";
     else
         when = "after ";
 
-    tupdesc = trigdata->tg_relation->rd_att;
+    tupdesc = trigdata-&gt;tg_relation-&gt;rd_att;
 
     /* connect to SPI manager */
-    if ((ret = SPI_connect()) < 0)
+    if ((ret = SPI_connect()) &lt; 0)
         elog(INFO, "trigf (fired %s): SPI_connect returned %d", when, ret);
 
     /* get number of rows in table */
     ret = SPI_exec("SELECT count(*) FROM ttest", 0);
 
-    if (ret < 0)
+    if (ret &lt; 0)
         elog(NOTICE, "trigf (fired %s): SPI_exec returned %d", when, ret);
 
     /* count(*) returns int8, so be careful to convert */
-    i = DatumGetInt64(SPI_getbinval(SPI_tuptable->vals[0],
-                                    SPI_tuptable->tupdesc,
+    i = DatumGetInt64(SPI_getbinval(SPI_tuptable-&gt;vals[0],
+                                    SPI_tuptable-&gt;tupdesc,
                                     1,
                                     &amp;isnull));
 
@@ -622,57 +622,57 @@ CREATE TRIGGER tafter AFTER INSERT OR UPDATE OR DELETE ON ttest
    <para>
     Now you can test the operation of the trigger:
 <screen>
-=> INSERT INTO ttest VALUES (NULL);
+=&gt; INSERT INTO ttest VALUES (NULL);
 INFO:  trigf (fired before): there are 0 rows in ttest
 INSERT 0 0
 
 -- Insertion skipped and AFTER trigger is not fired
 
-=> SELECT * FROM ttest;
+=&gt; SELECT * FROM ttest;
  x
 ---
 (0 rows)
 
-=> INSERT INTO ttest VALUES (1);
+=&gt; INSERT INTO ttest VALUES (1);
 INFO:  trigf (fired before): there are 0 rows in ttest
 INFO:  trigf (fired after ): there are 1 rows in ttest
                                        ^^^^^^^^
                              remember what we said about visibility.
 INSERT 167793 1
-vac=> SELECT * FROM ttest;
+vac=&gt; SELECT * FROM ttest;
  x
 ---
  1
 (1 row)
 
-=> INSERT INTO ttest SELECT x * 2 FROM ttest;
+=&gt; INSERT INTO ttest SELECT x * 2 FROM ttest;
 INFO:  trigf (fired before): there are 1 rows in ttest
 INFO:  trigf (fired after ): there are 2 rows in ttest
                                        ^^^^^^
                              remember what we said about visibility.
 INSERT 167794 1
-=> SELECT * FROM ttest;
+=&gt; SELECT * FROM ttest;
  x
 ---
  1
  2
 (2 rows)
 
-=> UPDATE ttest SET x = NULL WHERE x = 2;
+=&gt; UPDATE ttest SET x = NULL WHERE x = 2;
 INFO:  trigf (fired before): there are 2 rows in ttest
 UPDATE 0
-=> UPDATE ttest SET x = 4 WHERE x = 2;
+=&gt; UPDATE ttest SET x = 4 WHERE x = 2;
 INFO:  trigf (fired before): there are 2 rows in ttest
 INFO:  trigf (fired after ): there are 2 rows in ttest
 UPDATE 1
-vac=> SELECT * FROM ttest;
+vac=&gt; SELECT * FROM ttest;
  x
 ---
  1
  4
 (2 rows)
 
-=> DELETE FROM ttest;
+=&gt; DELETE FROM ttest;
 INFO:  trigf (fired before): there are 2 rows in ttest
 INFO:  trigf (fired after ): there are 1 rows in ttest
 INFO:  trigf (fired before): there are 1 rows in ttest
@@ -680,7 +680,7 @@ INFO:  trigf (fired after ): there are 0 rows in ttest
                                        ^^^^^^
                              remember what we said about visibility.
 DELETE 2
-=> SELECT * FROM ttest;
+=&gt; SELECT * FROM ttest;
  x
 ---
 (0 rows)
diff --git a/doc/src/sgml/user-manag.sgml b/doc/src/sgml/user-manag.sgml
index 8b4b3c9..fcac047 100644
--- a/doc/src/sgml/user-manag.sgml
+++ b/doc/src/sgml/user-manag.sgml
@@ -259,43 +259,38 @@ SELECT groname FROM pg_group;
   <remark>Being moved to the DDL chapter.  Will eventually disappear here.</remark>
 
   <para>
-   When a database object is created, it is assigned an owner. The
-   owner is the user that executed the creation statement. To change
-   the owner of a table, index, sequence, or view, use the
-   <command>ALTER TABLE</command> command. By default, only an owner
-   (or a superuser) can do anything with the object. In order to allow
+   When an object is created, it is assigned an owner. The
+   owner is normally the user that executed the creation statement.
+   For most kinds of objects, the initial state is that only the owner
+   (or a superuser) can do anything with the object. To allow
    other users to use it, <firstterm>privileges</firstterm> must be
    granted.
-  </para>
-
-  <para>
-   There are several different privileges: <literal>SELECT</>,
+   There are several different kinds of privilege: <literal>SELECT</>,
    <literal>INSERT</>, <literal>UPDATE</>, <literal>DELETE</>,
    <literal>RULE</>, <literal>REFERENCES</>, <literal>TRIGGER</>,
    <literal>CREATE</>, <literal>TEMPORARY</>, <literal>EXECUTE</>,
-   <literal>USAGE</>, and <literal>ALL PRIVILEGES</>. For more
+   and <literal>USAGE</>. For more
    information on the different types of privileges supported by
    <productname>PostgreSQL</productname>, see the
    <xref linkend="sql-grant" endterm="sql-grant-title"> reference page.
-   The right to modify or
-   destroy an object is always the privilege of the owner only. To
-   assign privileges, the <command>GRANT</command> command is
+  </para>
+
+  <para>
+   To assign privileges, the <command>GRANT</command> command is
    used. So, if <literal>joe</literal> is an existing user, and
    <literal>accounts</literal> is an existing table, the privilege to
    update the table can be granted with
-
 <programlisting>
 GRANT UPDATE ON accounts TO joe;
 </programlisting>
-   The user executing this command must be the owner of the table. To
-   grant a privilege to a group, use
+   To grant a privilege to a group, use
 <programlisting>
 GRANT SELECT ON accounts TO GROUP staff;
 </programlisting>
-   The special <quote>user</quote> name <literal>PUBLIC</literal> can
+   The special name <literal>PUBLIC</literal> can
    be used to grant a privilege to every user on the system. Writing
    <literal>ALL</literal> in place of a specific privilege specifies that all
-   privileges will be granted.
+   privileges that apply to the object will be granted.
   </para>
 
   <para>
@@ -304,13 +299,21 @@ GRANT SELECT ON accounts TO GROUP staff;
 <programlisting>
 REVOKE ALL ON accounts FROM PUBLIC;
 </programlisting>
-   The special privileges of the table owner (i.e., the right to do
-   <command>DROP</>, <command>GRANT</>, <command>REVOKE</>, etc)
-   are always implicit in being the owner,
-   and cannot be granted or revoked.  But the table owner can choose
+  </para>
+
+  <para>
+   The special privileges of an object's owner (i.e., the right to modify
+   or destroy the object) are always implicit in being the owner,
+   and cannot be granted or revoked.  But the owner can choose
    to revoke his own ordinary privileges, for example to make a
    table read-only for himself as well as others.
   </para>
+
+  <para>
+   An object can be assigned to a new owner with an <command>ALTER</command>
+   command of the appropriate kind for the object.  Only superusers can do
+   this.
+  </para>
  </sect1>
 
  <sect1 id="perm-functions">
diff --git a/doc/src/sgml/xaggr.sgml b/doc/src/sgml/xaggr.sgml
index f9e0da6..30fce8c 100644
--- a/doc/src/sgml/xaggr.sgml
+++ b/doc/src/sgml/xaggr.sgml
@@ -141,7 +141,7 @@ CREATE AGGREGATE array_accum (
 <programlisting>
 SELECT attrelid::regclass, array_accum(attname)
     FROM pg_attribute
-    WHERE attnum > 0 AND attrelid = 'pg_user'::regclass
+    WHERE attnum &gt; 0 AND attrelid = 'pg_user'::regclass
     GROUP BY attrelid;
 
  attrelid |                                 array_accum
@@ -151,7 +151,7 @@ SELECT attrelid::regclass, array_accum(attname)
 
 SELECT attrelid::regclass, array_accum(atttypid)
     FROM pg_attribute
-    WHERE attnum > 0 AND attrelid = 'pg_user'::regclass
+    WHERE attnum &gt; 0 AND attrelid = 'pg_user'::regclass
     GROUP BY attrelid;
 
  attrelid |         array_accum
diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index f0e30ba..d187378 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -678,7 +678,7 @@ ERROR:  could not determine "anyarray"/"anyelement" type because input has type
      return type, but the converse is not. For example:
 <screen>
 CREATE FUNCTION is_greater(anyelement, anyelement) RETURNS boolean AS $$
-    SELECT $1 > $2;
+    SELECT $1 &gt; $2;
 $$ LANGUAGE SQL;
 
 SELECT is_greater(1, 2);
@@ -1482,8 +1482,8 @@ makepoint(Point *pointx, Point *pointy)
 {
     Point     *new_point = (Point *) palloc(sizeof(Point));
 
-    new_point->x = pointx->x;
-    new_point->y = pointy->y;
+    new_point-&gt;x = pointx-&gt;x;
+    new_point-&gt;y = pointy-&gt;y;
        
     return new_point;
 }
@@ -1642,7 +1642,7 @@ add_one(PG_FUNCTION_ARGS)
     PG_RETURN_INT32(arg + 1);
 }
 
-/* b reference, fixed length */
+/* by reference, fixed length */
 
 PG_FUNCTION_INFO_V1(add_one_float8);
 
@@ -1665,8 +1665,8 @@ makepoint(PG_FUNCTION_ARGS)
     Point     *pointy = PG_GETARG_POINT_P(1);
     Point     *new_point = (Point *) palloc(sizeof(Point));
 
-    new_point->x = pointx->x;
-    new_point->y = pointy->y;
+    new_point-&gt;x = pointx-&gt;x;
+    new_point-&gt;y = pointy-&gt;y;
        
     PG_RETURN_POINT_P(new_point);
 }
@@ -1939,7 +1939,7 @@ include $(PGXS)
       <term><varname>MODULES</varname></term>
       <listitem>
        <para>
-        list of shared objects to be build from source file with same
+        list of shared objects to be built from source file with same
         stem (do not include suffix in this list)
        </para>
       </listitem>
@@ -2447,7 +2447,7 @@ my_set_returning_function(PG_FUNCTION_ARGS)
     if (SRF_IS_FIRSTCALL())
     {
         funcctx = SRF_FIRSTCALL_INIT();
-        oldcontext = MemoryContextSwitchTo(funcctx->multi_call_memory_ctx);
+        oldcontext = MemoryContextSwitchTo(funcctx-&gt;multi_call_memory_ctx);
         /* One-time setup code appears here: */
         <replaceable>user code</replaceable>
         <replaceable>if returning composite</replaceable>
@@ -2503,7 +2503,7 @@ testpassbyval(PG_FUNCTION_ARGS)
         funcctx = SRF_FIRSTCALL_INIT();
 
         /* switch to memory context appropriate for multiple function calls */
-        oldcontext = MemoryContextSwitchTo(funcctx->multi_call_memory_ctx);
+        oldcontext = MemoryContextSwitchTo(funcctx-&gt;multi_call_memory_ctx);
 
         /* total number of tuples to be returned */
         funcctx-&gt;max_calls = PG_GETARG_UINT32(0);
diff --git a/doc/src/sgml/xindex.sgml b/doc/src/sgml/xindex.sgml
index 66d39e6..a99a3e1 100644
--- a/doc/src/sgml/xindex.sgml
+++ b/doc/src/sgml/xindex.sgml
@@ -700,7 +700,7 @@ DEFAULT FOR TYPE int8 USING btree AS
 
    <note>
     <para>
-     In <ProductName>PostgreSQL</ProductName> versions before 7.4,
+     In <productname>PostgreSQL</productname> versions before 7.4,
      sorting and grouping operations would implicitly use operators named
      <literal>=</>, <literal>&lt;</>, and <literal>&gt;</>.  The new
      behavior of relying on default operator classes avoids having to make
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 5834c28..76757bb 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -10,7 +10,7 @@ $PostgreSQL$
    <secondary>user-defined</secondary>
   </indexterm>
 
-  <Para>
+  <para>
    Every operator is <quote>syntactic sugar</quote> for a call to an
    underlying function that does the real work; so you must
    first create the underlying function before you can create
@@ -19,9 +19,9 @@ $PostgreSQL$
    that helps the query planner optimize queries that use the
    operator.  The next section will be devoted to explaining
    that additional information.
-  </Para>
+  </para>
 
-  <Para>
+  <para>
    <productname>PostgreSQL</productname> supports left unary, right
    unary, and binary operators.  Operators can be
    overloaded;<indexterm><primary>overloading</primary><secondary>operators</secondary></indexterm>
@@ -29,15 +29,15 @@ $PostgreSQL$
    that have different numbers and types of operands.  When a query is
    executed, the system determines the operator to call from the
    number and types of the provided operands.
-  </Para>
+  </para>
 
-  <Para>
+  <para>
    Here is an example of creating an operator for adding two complex
    numbers.  We assume we've already created the definition of type
    <type>complex</type> (see <xref linkend="xtypes">).  First we need a
    function that does the work, then we can define the operator:
 
-<ProgramListing>
+<programlisting>
 CREATE FUNCTION complex_add(complex, complex)
     RETURNS complex
     AS '<replaceable>filename</replaceable>', 'complex_add'
@@ -49,10 +49,10 @@ CREATE OPERATOR + (
     procedure = complex_add,
     commutator = +
 );
-</ProgramListing>
-  </Para>
+</programlisting>
+  </para>
 
-  <Para>
+  <para>
    Now we could execute a query like this:
      
 <screen>
@@ -63,9 +63,9 @@ SELECT (a + b) AS c FROM test_complex;
  (5.2,6.05)
  (133.42,144.95)
 </screen>
-  </Para>
+  </para>
 
-  <Para>
+  <para>
    We've shown how to create a binary operator here.  To create unary
    operators, just omit one of <literal>leftarg</> (for left unary) or
    <literal>rightarg</> (for right unary).  The <literal>procedure</>
@@ -74,14 +74,14 @@ SELECT (a + b) AS c FROM test_complex;
    clause shown in the example is an optional hint to the query
    optimizer.  Further details about <literal>commutator</> and other
    optimizer hints appear in the next section.
-  </Para>
+  </para>
  </sect1>
 
   <sect1 id="xoper-optimization">
    <title>Operator Optimization Information</title>
 
    <para>
-    A <ProductName>PostgreSQL</ProductName> operator definition can include
+    A <productname>PostgreSQL</productname> operator definition can include
     several optional clauses that tell the system useful things about how
     the operator behaves.  These clauses should be provided whenever
     appropriate, because they can make for considerable speedups in execution
@@ -95,7 +95,7 @@ SELECT (a + b) AS c FROM test_complex;
 
    <para>
     Additional optimization clauses might be added in future versions of
-    <ProductName>PostgreSQL</ProductName>.  The ones described here are all
+    <productname>PostgreSQL</productname>.  The ones described here are all
     the ones that release &version; understands.
    </para>
 
@@ -115,7 +115,7 @@ SELECT (a + b) AS c FROM test_complex;
     <para>
      The left operand type of a commutable operator is the same as the
      right operand type of its commutator, and vice versa.  So the name of
-     the commutator operator is all that <ProductName>PostgreSQL</ProductName>
+     the commutator operator is all that <productname>PostgreSQL</productname>
      needs to be given to look up the commutator, and that's all that needs to
      be provided in the <literal>COMMUTATOR</> clause.
     </para>
@@ -131,7 +131,7 @@ SELECT (a + b) AS c FROM test_complex;
      index scan unless it can determine how to flip the clause around to
      <literal>tab2.y = tab1.x</>, because the index-scan machinery expects
      to see the indexed column on the left of the operator it is given.
-     <ProductName>PostgreSQL</ProductName> will <emphasis>not</> simply
+     <productname>PostgreSQL</productname> will <emphasis>not</> simply
      assume that this is a valid transformation &mdash; the creator of the
      <literal>=</> operator must specify that it is valid, by marking the
      operator with commutator information.
@@ -149,7 +149,7 @@ SELECT (a + b) AS c FROM test_complex;
        <para>
 	One way is to omit the <literal>COMMUTATOR</> clause in the first operator that
 	you define, and then provide one in the second operator's definition.
-	Since <ProductName>PostgreSQL</ProductName> knows that commutative
+	Since <productname>PostgreSQL</productname> knows that commutative
 	operators come in pairs, when it sees the second definition it will
 	automatically go back and fill in the missing <literal>COMMUTATOR</> clause in
 	the first definition.
@@ -159,12 +159,12 @@ SELECT (a + b) AS c FROM test_complex;
       <listitem>
        <para>
 	The other, more straightforward way is just to include <literal>COMMUTATOR</> clauses
-	in both definitions.  When <ProductName>PostgreSQL</ProductName> processes
+	in both definitions.  When <productname>PostgreSQL</productname> processes
 	the first definition and realizes that <literal>COMMUTATOR</> refers to a nonexistent
 	operator, the system will make a dummy entry for that operator in the
 	system catalog.  This dummy entry will have valid data only
 	for the operator name, left and right operand types, and result type,
-	since that's all that <ProductName>PostgreSQL</ProductName> can deduce
+	since that's all that <productname>PostgreSQL</productname> can deduce
 	at this point.  The first operator's catalog entry will link to this
 	dummy entry.  Later, when you define the second operator, the system
 	updates the dummy entry with the additional information from the second
@@ -225,9 +225,9 @@ SELECT (a + b) AS c FROM test_complex;
     binary operators that return <type>boolean</>.  The idea behind a restriction
     selectivity estimator is to guess what fraction of the rows in a
     table will satisfy a <literal>WHERE</literal>-clause condition of the form
-<ProgramListing>
+<programlisting>
 column OP constant
-</ProgramListing>
+</programlisting>
     for the current operator and a particular constant value.
     This assists the optimizer by
     giving it some idea of how many rows will be eliminated by <literal>WHERE</>
@@ -297,9 +297,9 @@ column OP constant
      binary operators that return <type>boolean</type>.  The idea behind a join
      selectivity estimator is to guess what fraction of the rows in a
      pair of tables will satisfy a <literal>WHERE</>-clause condition of the form
-<ProgramListing>
+<programlisting>
 table1.column1 OP table2.column2
-</ProgramListing>
+</programlisting>
      for the current operator.  As with the <literal>RESTRICT</literal> clause, this helps
      the optimizer very substantially by letting it figure out which
      of several possible join sequences is likely to take the least work.
@@ -496,7 +496,7 @@ table1.column1 OP table2.column2
 
     <note>
     <para>
-     In <ProductName>PostgreSQL</ProductName> versions before 7.3,
+     In <productname>PostgreSQL</productname> versions before 7.3,
      the <literal>MERGES</> shorthand was not available: to make a
      merge-joinable operator one had to write both <literal>SORT1</> and
      <literal>SORT2</> explicitly.  Also, the <literal>LTCMP</> and
